Replace {your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
X-Api-Key
string
default:your-api-key
required
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Accept
enum<string>
default:application/json
required
Specifies the expected response format. Must be set to application/json for proper API communication.
Available options:
application/json
Path Parameters
team_member_id
string<uuid>
required
Id of the team member that you want to update. You can get team_member_id by listing all team members using our List team members API. Here you will see id for each team member.
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00001111"
Body
application/json
email
string
Email of the team member.
Example:
"oliver@example.com"
first_name
string
First name of the team member.
Example:
"Oliver"
last_name
string
Last name of the team member.
Example:
"Smith"
time_zone
string
Time zone for the team member. It should be a valid time zone.
Example:
"Asia/Kolkata"
organization_role
string
Organization role for the team member. This value should be one of the organization roles of your workspace. The list of organization roles can be seen in Roles page. This value is case sensitive.
Example:
"Admin"
Response
200 - application/json
OK - Request succeeded
team_member
object
Hide child attributes
team_member.id
string<uuid>
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00001111"
team_member.email
string
Example:
"oliver@example.com"
team_member.first_name
string
Example:
"Oliver"
team_member.last_name
string
Example:
"Smith"
team_member.time_zone
string
Example:
"Asia/Kolkata"
team_member.profile_image_url
string | null
Example:
null
team_member.active
boolean
Example:
true
team_member.organization_role
string
Example:
"Admin"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"NeetoPublish API","description":"NeetoPublish API documentation guide for managing blogs, authors, and subscribers from external channels","colors":{"primary":"#10B981","light":"#34D399","dark":"#059669"},"logo":"https://mintcdn.com/neeto/ddjTvrsRs37R_3Be/assets/logo.svg?fit=max\u0026auto=format\u0026n=ddjTvrsRs37R_3Be\u0026q=85\u0026s=dfc351a0df25e2240cc36711acdfad46","favicon":"https://mintcdn.com/neeto/ddjTvrsRs37R_3Be/assets/favicon.svg?fit=max\u0026auto=format\u0026n=ddjTvrsRs37R_3Be\u0026q=85\u0026s=1167f88c515800dbfa2aefee6125a30a","api":{"params":{"expanded":"all"}},"appearance":{"default":"light","strict":true},"navbar":{"links":[{"href":"https://www.neeto.com/neetopublish/blog","label":"Blog"},{"href":"https://help.neetopublish.com/","label":"Help Center"},{"href":"https://neetopublish.com/","label":"NeetoPublish"}]},"footer":{"socials":{"x":"https://x.com/neetohq","linkedin":"https://www.linkedin.com/company/neeto","youtube":"https://www.youtube.com/channel/UCoQ3Kv2JdZ51WZJ3QFFcI9g","slack":"https://neeto.com/community"}},"styling":{"eyebrows":"section","codeblocks":"system","latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"neeto","hasAudioNarration":false,"actualSubdomain":"neeto","customDomains":["apidocs.neetopublish.com"],"gitSource":{"type":"github","owner":"neetopublishapis","repo":"neeto-publish-api","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae69c03a3bb2421cade7a76","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"API v1 (Deprecated)","count":9},{"language":"default","tag":"Team Members","count":9},{"language":"default","tag":"Blogs","count":6},{"language":"default","tag":"Getting Started","count":5},{"language":"default","tag":"Authors","count":2},{"language":"default","tag":"Subscribers","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"theme.css","content":":root{--primary-green: #0da874;--white: #ffffff;--light-gray: #eeeeee;--dark-gray: #1f2937;--text-white: rgb(255, 255, 255);--text-light: rgb(238, 238, 238)}#navbar-transition,[data-nav=\"true\"]{background-color:var(--primary-green)!important}.nav-logo{filter:brightness(0) invert(1)!important;height:20px!important;width:auto!important;max-width:none!important}[data-nav=\"true\"] a,#navbar-transition a,#navbar a,.navbar-link{color:var(--text-white)!important}[data-nav=\"true\"] a:hover,#navbar-transition a:hover,#navbar a:hover,.navbar-link:hover{color:var(--text-light)!important}#navbar button,#navbar span,#navbar div,#navbar p,#navbar .text-sm,#navbar .text-xs{color:var(--white)!important}#navbar .bg-gray-500,#navbar .bg-gray-400,#navbar .bg-gray-600,#navbar .bg-gray-300{background-color:var(--white)!important}[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"]{background-color:var(--white)!important}[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .navbar-link a,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .text-gray-600,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .dark\\:text-gray-400{color:var(--dark-gray)!important}[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .navbar-link a:hover,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .hover\\:text-gray-900:hover,[data-headlessui-state=\"open\"] [id*=\"headlessui-dialog-panel\"] .dark\\:hover\\:text-gray-300:hover{color:var(--primary-green)!important}#search-bar-entry button,#search-bar-entry span,#search-bar-entry div,#search-bar-entry p,#search-bar-entry img,#search-bar-entry svg,#search-bar-entry .text-sm,#search-bar-entry .text-xs{color:var(--primary-green)!important}"}]}
{"page":{"pagePath":"api/team-members/update","slug":"/api/team-members/update","pageMetadata":{"title":"Update team member","openapi":"bundled/team-members.yaml PATCH /team-members/{team_member_id}","description":"This API allows to update the details of a team member in the organization.","href":"/api/team-members/update"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This API allows to update the details of a team member in the organization.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,..._provideComponents(),...props.components},{Info}=_components;if(!Info)_missingMdxReference(`Info`,true);return _jsxs(Info,{children:[`Replace `,_jsx(_components.code,{children:`{your-subdomain}`}),` with your workspace’s subdomain. `,_jsx(`br`,{}),` Learn how to find your subdomain in `,_jsx(_components.a,{href:`/api/workspace-subdomain`,children:`Workspace subdomain`}),`.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Update team member","openapi":"bundled/team-members.yaml PATCH /team-members/{team_member_id}","description":"This API allows to update the details of a team member in the organization.","href":"/api/team-members/update"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Update team member details","tags":["Team Members"],"description":"This API allows to update the details of a team member in the organization.","parameters":["70c35391-ab68-4ce3-a0a0-6397defc19dc","683eecb0-dba2-4032-9adb-7abe4cf1ba58","d00a1dff-93ca-4e4f-9f11-1a77d123407d"],"requestBody":"dd8508a6-dad8-4e39-9ce5-1849b5168288","responses":{"200":"df43ae1c-3e9c-43e6-b716-98e075c9d30f"},"method":"patch","type":"path","servers":["84a22684-4ce1-43d8-8f34-1e95b4fe71e5"],"security":[],"path":"/team-members/{team_member_id}","baseUrlOptions":["https://{your-subdomain}.neetopublish.com/api/external/v2"],"title":"Update team member details","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"70c35391-ab68-4ce3-a0a0-6397defc19dc":{"in":"header","name":"X-Api-Key","description":"Use the X-Api-Key header to provide your workspace API key. Refer to [Authentication](/api/authentication) for more information.","required":true,"schema":{"type":"string","default":"your-api-key","isRequired":true,"description":"Use the X-Api-Key header to provide your workspace API key. Refer to [Authentication](/api/authentication) for more information.","uniqueKey":"","typeLabel":"string"}},"683eecb0-dba2-4032-9adb-7abe4cf1ba58":{"in":"header","name":"Accept","description":"Specifies the expected response format. Must be set to `application/json` for proper API communication.","required":true,"schema":{"type":"string","enum":["application/json"],"default":"application/json","isRequired":true,"description":"Specifies the expected response format. Must be set to `application/json` for proper API communication.","uniqueKey":"","typeLabel":"enum\u003cstring>"}},"d00a1dff-93ca-4e4f-9f11-1a77d123407d":{"in":"path","name":"team_member_id","description":"Id of the team member that you want to update. You can get `team_member_id` by listing all team members using our [List team members](/api/team-members/list) API. Here you will see id for each team member.","required":true,"schema":{"type":"string","format":"uuid","example":"aaaabbbb-cccc-dddd-eeee-ffff00001111","isRequired":true,"description":"Id of the team member that you want to update. You can get `team_member_id` by listing all team members using our [List team members](/api/team-members/list) API. Here you will see id for each team member.","uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","description":"Email of the team member.","example":"oliver@example.com","uniqueKey":"email","typeLabel":"string"},"first_name":{"type":"string","description":"First name of the team member.","example":"Oliver","uniqueKey":"first_name","typeLabel":"string"},"last_name":{"type":"string","description":"Last name of the team member.","example":"Smith","uniqueKey":"last_name","typeLabel":"string"},"time_zone":{"type":"string","description":"Time zone for the team member. It should be a valid time zone.","example":"Asia/Kolkata","uniqueKey":"time_zone","typeLabel":"string"},"organization_role":{"type":"string","description":"Organization role for the team member. This value should be one of the organization roles of your workspace. The list of organization roles can be seen in Roles page. This value is case sensitive.","example":"Admin","uniqueKey":"organization_role","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"email":"oliver@example.com","first_name":"Oliver","last_name":"Smith","time_zone":"Asia/Kolkata","organization_role":"Admin"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"df43ae1c-3e9c-43e6-b716-98e075c9d30f":{"description":"OK - Request succeeded","content":{"application/json":{"schema":{"type":"object","properties":{"team_member":{"type":"object","properties":{"id":{"type":"string","format":"uuid","example":"aaaabbbb-cccc-dddd-eeee-ffff00001111","uniqueKey":"team_member.id","typeLabel":"string\u003cuuid>"},"email":{"type":"string","example":"oliver@example.com","uniqueKey":"team_member.email","typeLabel":"string"},"first_name":{"type":"string","example":"Oliver","uniqueKey":"team_member.first_name","typeLabel":"string"},"last_name":{"type":"string","example":"Smith","uniqueKey":"team_member.last_name","typeLabel":"string"},"time_zone":{"type":"string","example":"Asia/Kolkata","uniqueKey":"team_member.time_zone","typeLabel":"string"},"profile_image_url":{"oneOf":[{"type":"string","example":null,"uniqueKey":"team_member.profile_image_url.oneOf.0","typeLabel":"string"},{"type":"null","example":null,"uniqueKey":"team_member.profile_image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"team_member.profile_image_url","typeLabel":"string | null"},"active":{"type":"boolean","example":true,"uniqueKey":"team_member.active","typeLabel":"boolean"},"organization_role":{"type":"string","example":"Admin","uniqueKey":"team_member.organization_role","typeLabel":"string"}},"uniqueKey":"team_member","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"team_member":{"id":"aaaabbbb-cccc-dddd-eeee-ffff00001111","email":"oliver@example.com","first_name":"Oliver","last_name":"Smith","time_zone":"Asia/Kolkata","profile_image_url":null,"active":true,"organization_role":"Admin"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"84a22684-4ce1-43d8-8f34-1e95b4fe71e5":{"description":"NeetoPublish APIs","url":"https://{your-subdomain}.neetopublish.com/api/external/v2","variables":{"your-subdomain":{"default":"spinkart","description":"Replace **spinkart** with your [workspace's subdomain](/api/workspace-subdomain)."}}}}},"originalFileLocation":"bundled/team-members.yaml"},"subdomain":"neeto","siteName":"NeetoPublish API","title":"Update team member - NeetoPublish API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-08T08:37:08.317Z","originalFileLocation":"api/team-members/update.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This API allows to update the details of a team member in the organization.\">\u003cmeta data-mint-head name=\"application-name\" content=\"NeetoPublish API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/neeto/FBPLWaPnW9y2_F7V/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/neeto/FBPLWaPnW9y2_F7V/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/neeto/FBPLWaPnW9y2_F7V/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/neeto/FBPLWaPnW9y2_F7V/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/neeto/FBPLWaPnW9y2_F7V/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/neeto/FBPLWaPnW9y2_F7V/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/neeto/FBPLWaPnW9y2_F7V/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/neeto/FBPLWaPnW9y2_F7V/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/neeto/FBPLWaPnW9y2_F7V/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update team member - NeetoPublish API\">\u003cmeta data-mint-head property=\"og:description\" content=\"This API allows to update the details of a team member in the organization.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"NeetoPublish API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://apidocs.neetopublish.com/api/team-members/update\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://neeto.mintlify.site/_mintlify/api/og/v2?division=Team+Members\u0026amp;title=Update+team+member\u0026amp;description=This+API+allows+to+update+the+details+of+a+team+member+in+the+organization.\u0026amp;theme=59df281f001e3d602d00dcd5\u0026amp;signature=05f684ce3d78e255ca3f0a2e2b85a8ab6d5a2e97bad4c139377694c8aad0ac13\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update team member - NeetoPublish API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This API allows to update the details of a team member in the organization.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://neeto.mintlify.site/_mintlify/api/og/v2?division=Team+Members\u0026amp;title=Update+team+member\u0026amp;description=This+API+allows+to+update+the+details+of+a+team+member+in+the+organization.\u0026amp;theme=59df281f001e3d602d00dcd5\u0026amp;signature=05f684ce3d78e255ca3f0a2e2b85a8ab6d5a2e97bad4c139377694c8aad0ac13\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/neeto/FBPLWaPnW9y2_F7V/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"NeetoPublish API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#10B981\">\u003clink data-mint-head rel=\"canonical\" href=\"https://apidocs.neetopublish.com/api/team-members/update\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api/team-members/update.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://apidocs.neetopublish.com/#organization\",\"name\":\"NeetoPublish API\",\"url\":\"https://apidocs.neetopublish.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/neeto/ddjTvrsRs37R_3Be/assets/logo.svg?fit=max\u0026auto=format\u0026n=ddjTvrsRs37R_3Be\u0026q=85\u0026s=dfc351a0df25e2240cc36711acdfad46\"}},{\"@type\":\"WebSite\",\"@id\":\"https://apidocs.neetopublish.com#website\",\"name\":\"NeetoPublish API\",\"url\":\"https://apidocs.neetopublish.com\",\"publisher\":{\"@id\":\"https://apidocs.neetopublish.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://apidocs.neetopublish.com/api/team-members/update#webpage\",\"url\":\"https://apidocs.neetopublish.com/api/team-members/update\",\"name\":\"Update team member\",\"description\":\"This API allows to update the details of a team member in the organization.\",\"dateModified\":\"2026-10-08T08:37:08.317Z\",\"isPartOf\":{\"@id\":\"https://apidocs.neetopublish.com#website\"},\"breadcrumb\":{\"@id\":\"https://apidocs.neetopublish.com/api/team-members/update#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://apidocs.neetopublish.com/api/team-members/update#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Team Members\",\"item\":\"https://apidocs.neetopublish.com/api/team-members/list\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update team member\",\"item\":\"https://apidocs.neetopublish.com/api/team-members/update\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://apidocs.neetopublish.com/api/team-members/update#apireference\",\"headline\":\"Update team member\",\"name\":\"Update team member\",\"description\":\"This API allows to update the details of a team member in the organization.\",\"url\":\"https://apidocs.neetopublish.com/api/team-members/update\",\"mainEntityOfPage\":{\"@id\":\"https://apidocs.neetopublish.com/api/team-members/update#webpage\"},\"dateModified\":\"2026-10-08T08:37:08.317Z\",\"publisher\":{\"@id\":\"https://apidocs.neetopublish.com/#organization\"},\"isPartOf\":{\"@id\":\"https://apidocs.neetopublish.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"NeetoPublish API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"NeetoPublish API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api/team-members/update.md","siteName":"NeetoPublish API","nav":{"global":null,"pages":[{"group":"Getting Started","icon":"rocket","pages":[{"title":"Introduction","href":"/api/introduction"},{"title":"Workspace subdomain","href":"/api/workspace-subdomain"},{"title":"Authentication","href":"/api/authentication"},{"title":"Pagination","href":"/api/pagination"},{"title":"HTTP Response Codes","href":"/api/response-codes"}]},{"group":"Blogs","icon":"code","pages":[{"title":"List blogs","openapi":"bundled/blogs.yaml GET /blog-posts","href":"/api/blogs/list"},{"title":"Get blog","openapi":"bundled/blogs.yaml GET /blog-posts/{slug}","href":"/api/blogs/get"},{"title":"List blog slugs","openapi":"bundled/blogs.yaml GET /blog-posts/slugs","href":"/api/blogs/list-slugs"}]},{"group":"Authors","icon":"code","pages":[{"title":"List authors","openapi":"bundled/authors.yaml GET /authors","href":"/api/authors/list"}]},{"group":"Subscribers","icon":"code","pages":[{"title":"Add subscriber","openapi":"bundled/subscribers.yaml POST /email-subscriptions","href":"/api/subscribers/add"}]},{"group":"Team Members","icon":"user-group","pages":[{"title":"List team members","openapi":"bundled/team-members.yaml GET /team-members","href":"/api/team-members/list"},{"title":"Get team member","openapi":"bundled/team-members.yaml GET /team-members/{team_member_id}","href":"/api/team-members/get"},{"title":"Add team members","openapi":"bundled/team-members.yaml POST /team-members","description":"This API allows to add team members in the workspace.","href":"/api/team-members/add"},{"title":"Update team member","openapi":"bundled/team-members.yaml PATCH /team-members/{team_member_id}","href":"/api/team-members/update"},{"title":"Remove team member","openapi":"bundled/team-members.yaml DELETE /team-members/{team_member_id}","description":"Remove team members from the workspace.","href":"/api/team-members/remove"}]},{"group":"API v1 (Deprecated)","icon":"clock-rotate-left","pages":[{"group":"Blogs","pages":[{"title":"List blogs","openapi":"bundled-v1/blogs.yaml GET /blog_posts","href":"/api-reference-v1/blogs/list"},{"title":"Get blog","openapi":"bundled-v1/blogs.yaml GET /blog_posts/{slug}","href":"/api-reference-v1/blogs/get"},{"title":"List blog slugs","openapi":"bundled-v1/blogs.yaml GET /blog_posts/list_slugs","href":"/api-reference-v1/blogs/list-slugs"}]},{"group":"Authors","pages":[{"title":"List authors","openapi":"bundled-v1/authors.yaml GET /authors","href":"/api-reference-v1/authors/list"}]},{"group":"Subscribers","pages":[{"title":"Add subscriber","openapi":"bundled-v1/subscribers.yaml POST /email_subscriptions","href":"/api-reference-v1/subscribers/add"}]},{"group":"Team Members","pages":[{"title":"List team members","openapi":"bundled-v1/team-members.yaml GET /team_members","href":"/api-reference-v1/team-members/list"},{"title":"Add team members","openapi":"bundled-v1/team-members.yaml POST /team_members","href":"/api-reference-v1/team-members/add"},{"title":"Update team member","openapi":"bundled-v1/team-members.yaml PATCH /team_members/{team_member_id}","href":"/api-reference-v1/team-members/update"},{"title":"Remove team member","openapi":"bundled-v1/team-members.yaml DELETE /team_members/{team_member_id}","href":"/api-reference-v1/team-members/remove"}]}]}]},"basePath":"","title":"Update team member - NeetoPublish API","deploymentId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","buildId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CiUHMMOm.js","snippetPresets-BgfXU7Bw.js","utils-DWvOwgy_.js","style-to-object-BY3JEAdk.js","utils-BN7RXSMJ.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-CFw8bq89.js","conditional-requirements-CFM0id0Q.js","cloneDeep-CAwdfOU2.js","_Uint8Array-BJr8e-ZL.js","isObject-FP1Yky1u.js","ApiExamples-XX0UgMZK.js","usePlaygroundInputsStore-DXDFSa1V.js","shallow-CdX5aREi.js","isEqual-CoOaxexF.js","CodeSnippets-Cg2wpzWm.js","CodeSnippet-D_HwgQO_.js","getApiPlaygroundDisplay-CmCoerhe.js","Page-CVJ-f_k1.js","DynamicMarkdown-CQM9Bhbv.js","SectionHeading-DpbrP8nQ.js","icon-BPCgijHy.js","MethodPill-GQ8DuY0c.js","getPastedJson-Cb5mT31m.js","Check2Icon-a7bUI6e8.js","axios-CsQoIw0U.js","Markdown-CX2QY19L.js","AssistantPageLink-CY3bFglh.js","dist-Dl6_zDnT.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js"]}